'//////////////////////////////////////////////////////////
'///    FastAVR Basic Compiler for AVR by MICRODESIGN   ///
'///    Compare.bas                   www.FastAVR.com   ///
'///    Compare (Timer1)  test for STK-200, STK-500     ///
'//////////////////////////////////////////////////////////
'PORTB.0 can be observed with osciloscope for waveform
$Device= 4433				' used device
$Stack = 32                	' stack size
$Clock = 7.3728				' used clock in MHz
$Timer1=Timer, Prescale=256, CompareA=DisConnect, Clear
$Def TestPin=PORTB.0
$Source= On

Declare Interrupt Oc1A()

Set DDRB.0 					' here is Compare1A output

Start Timer1
Enable Oc1A
Enable Interrupts

Compare1=&h3840				' 1sec (use Calc for values)

End

'//////////////////////////////////////////////////////////
Interrupt Oc1A(), Save 1	' outcompare int routine
Toggle TestPin				' just togles TestPin
End Interrupt				' note - no timer reload