'/////////////////////////////////////////////////////////
'///   FastAVR Basic Compiler for AVR by MICRODESIGN   ///
'///   3 flashing Leds STK-500       www.FastAVR.com   ///
'/////////////////////////////////////////////////////////
$Device= 8515			' used device
$Stack = 32				' stack depth
$Clock = 8				' adjust for used crystal
$Lcd    = PORTC.0, Rs=PORTC.5, En=PORTC.4, 20, 4
$Timer1=Timer, Prescale=256
$Source=On
$LeadChar=" "
$Def LED0=PORTA.0
$Def LED1=PORTA.1
$Def LED2=PORTA.2

Declare Interrupt Ovf1()

Dim time As Word
Dim tLed0 As Word, tLed1 As Word, tLed2 As Word
Dim d0 As Word, d1 As Word, d2 As Word
Dim d00 As Byte, d11 As Byte, d22 As Byte

PORTA=&hf8
DDRA=&h07
Timer1=&hf3cb			' 100 ms time
Enable Ovf1
Enable Interrupts
Start Timer1

Do
	d0=time-tLed0: d00=d0	' d00... back to 8 bit
	d1=time-tLed1: d11=d1	' because IF is shorter
	d2=time-tLed2: d22=d2
	If LED0 Then
		If d00>8 Then
			Reset LED0		' LED0 ON
			tLed0=time
		End If
	Else
		If d00>10 Then
			Set LED0		' LED0 OFF
			tLed0=time
		End If
	End If
	If LED1 Then
		If d11>10 Then
			Reset LED1		' LED0 ON
			tLed1=time
		End If
	Else
		If d11>15 Then
			Set LED1		' LED1 OFF
			tLed1=time
		End If
	End If
	If LED2 Then
		If d22>12 Then
			Reset LED2		' LED2 ON
			tLed2=time
		End If
	Else
		If d22>20 Then
			Set LED2		' LED2 OFF
			tLed2=time
		End If
	End If
Loop

'/////////////////////////////////////////////////////////
Interrupt Ovf1(), Save 1
Timer1=&hf3cb			' 100 ms time @ 8MHz
Incr time				' just incr time tick
End Interrupt
