'//////////////////////////////////////////////////////////
'///    FastAVR Basic Compiler for AVR by MICRODESIGN   ///
'///    Mooving LED for STK-200, 500                    ///
'//////////////////////////////////////////////////////////
$Device= 8515			' used device
$Stack = 32				' stack depth
$Clock = 7.3728				' used crystal
$Source= On				' basic source in Asm

Dim n As Byte

DDRB=&hff				' PortB is output
n=&hfe					' init n

Do   					' never ending loop
	PORTB=n				' n out to port
	Rotate(Left, 1, n)	' rotate n left one bit
	WaitMs 100			' 100ms delay
Loop					' back to start of loop
