'////////////////////////////////////////////////////////////////
'///  FastAVR Basic Compiler by MICRODESIGN, www.FastAVR.com  ///
'///  displays on LCD DS1820 unique serial number             ///
'///  1820rom.bas                                             ///
'////////////////////////////////////////////////////////////////
$Device= 4433
$Stack = 32
$Clock = 7,3728
$Lcd=PORTD.4, rs=PORTB.4, en=PORTB.5, 20, 4
$1Wire=PORTD.3
$Source=On

Dim a As Byte, b As Byte, c As Byte
Dim n(9) As Byte

Declare Sub Show()

Lcd "DS1820 RomRead"

Do
	a=1Wreset
	Locate 1,18
	If a Then
		Lcd " OK"
		1Wwrite &h33		' read rom command
	
		For a=0 To 7
			n(a)=1Wread
		Next
		Show()	
	Else
		Lcd "NOK"
		Locate 2,1
		Lcd "                "
	End If
	Wait 1
Loop


'////////////////////////////////////////////////////////////////
Sub Show()	' shows on LCD 8bytes in HEX
	Locate 2,1
	For a=0 To 7
		Lcd Hex(n(a))
	Next
End Sub