'//////////////////////////////////////////////////////////
'///    FastAVR Basic Compiler for AVR by MICRODESIGN   ///
'///    BounceBall Toshiba T6963C DEMO                  ///
'///    BballT6963c.bas               www.FastAVR.com   ///
'//////////////////////////////////////////////////////////
$Device= 8515				' used device
$Stack = 32                	' stack size
$Clock = 7.3728
$GLCD T6963C, data=PORTA, ctrl=PORTC, 240, 128, 1
$Gctrl CD=0, CE=3, RD=1, WR=2, FS=1
$Source= On

Dim x As Byte, y As Byte
Dim xold As Byte, yold As Byte
Dim xx As Byte, yy As Byte
Dim xxx As Byte, yyy As Byte
Dim w As Byte

Dim Xdir As Bit, Ydir As Bit

Const Xmax=50, Ymax=35
Const Xmin=10, Ymin=10
Const Delay=60

Set DDRC.5				' LCD Reset is here
Reset PORTC.5			' so generate Reset

GrpHomeSet 0
GrpAreaSet 40           ' screen width (FS=1 -> 6x8)
Gcommand &h80
Gcommand &h98  			' graphic screen ON
Gcls					' clear gaphic screen

x=Xmin:y=Ymin
Xdir=1:Ydir=1

Box(Xmin,Ymin,Xmax,Ymax),1

Do
	If Xdir=1 Then
		Incr x
		If x>Xmax Then
			Xdir=0
			x=Xmax
		End If
	Else
		Decr x
		If x=Xmin Then
			Xdir=1
		End If
	End If
	If Ydir=1 Then
		Incr y
		If y>Ymax Then
			Ydir=0
			y=Ymax
		End If
	Else
		Decr y
		If y=Ymin Then
			Ydir=1
		End If
	End If
	Pset(x,y),1
	WaitMs Delay

	Pset(xold,yold),0
	Box(Xmin,Ymin,Xmax,Ymax),1
	WaitMs Delay

	xold=xxx:yold=yyy
	xxx=xx:yyy=yy
	xx=x:yy=y
Loop

