'//////////////////////////////////////////////////////////
'///    FastAVR Basic Compiler for AVR by MICRODESIGN   ///
'///    using Key() function with STK-200               ///
'///    LCD is memory mapped                            ///
'//////////////////////////////////////////////////////////
' note that Key 6 and 7 will not be displayed on LCD,
' because on PortD.6 is WR and in PortD.7 is RD !!!!!!!!!!!

$Device= 8515				' used device
$Stack = 32                	' stack size
$Clock = 4					' used clock in MHz
$Lcd   = &h8000, rs=&hc000, 20, 4	' settings for STK-200
$Key row=PortD &hff			' Keys are on PortD in line
$Source= On

Dim n As Byte

DdrB=&hff						' PortB is output for LEDs 
PortB=&hff                      ' turn LEDs Off
Lcd "STK-200 Key() on LCD"		' wellcome message

Do
	n=Key()						' n becomes pressed key

	If n>0 Then 				' if key is pressed
		Locate 2, 1: Lcd "Pressed Key:   "
		Locate 2,13: Lcd n		' display key code
		PortB=Not n			' key on LED also 
	End If
Loop

